List PAL Skills
curl --request GET \
--url https://tavusapi.com/v2/pals/{pal_id}/skills \
--header 'x-api-key: <api-key>'import requests
url = "https://tavusapi.com/v2/pals/{pal_id}/skills"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://tavusapi.com/v2/pals/{pal_id}/skills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"internet_search": {
"skill_id": "internet_search",
"config": {},
"attached_at": "2026-06-10T14:30:45.123456+00:00",
"updated_at": "2026-06-10T14:30:45.123456+00:00"
},
"presentation": {
"skill_id": "presentation",
"config": {
"document_ids": [
"d1234567890",
"d2468101214"
],
"slides_trigger": "walk_the_deck",
"prompt": "Walk the participant through the Q4 roadmap deck."
},
"attached_at": "2026-06-10T13:15:20.654321+00:00",
"updated_at": "2026-06-10T14:25:10.987654+00:00"
},
"magic_canvas": {
"skill_id": "magic_canvas",
"config": {
"components": {
"chart": {
"enabled": false
}
}
},
"attached_at": "2026-06-10T12:00:00.000000+00:00",
"updated_at": "2026-06-10T12:00:00.000000+00:00"
}
}
}{
"error": "PAL not found"
}{
"message": "Invalid access token"
}Skills
List PAL Skills
List the skills attached to a PAL. The response is an object keyed by skill_id.
GET
/
v2
/
pals
/
{pal_id}
/
skills
List PAL Skills
For AI agents, use
https://docs.tavus.io/openapi.yaml for the full HTTP API contract.Authorizations
Path Parameters
The unique identifier of the PAL.
Example:
"pcb7a34da5fe"
Response
Successfully retrieved the PAL's skill attachments
Skill attachments keyed by skill_id.
Show child attributes
Show child attributes
Example:
{
"internet_search": {
"skill_id": "internet_search",
"config": {},
"attached_at": "2026-06-10T14:30:45.123456+00:00",
"updated_at": "2026-06-10T14:30:45.123456+00:00"
},
"presentation": {
"skill_id": "presentation",
"config": {
"document_ids": ["d1234567890", "d2468101214"],
"slides_trigger": "walk_the_deck",
"prompt": "Walk the participant through the Q4 roadmap deck."
},
"attached_at": "2026-06-10T13:15:20.654321+00:00",
"updated_at": "2026-06-10T14:25:10.987654+00:00"
},
"magic_canvas": {
"skill_id": "magic_canvas",
"config": {
"components": { "chart": { "enabled": false } }
},
"attached_at": "2026-06-10T12:00:00.000000+00:00",
"updated_at": "2026-06-10T12:00:00.000000+00:00"
}
}
⌘I

